Home/Support/Support Forum/Acceleport 8r 920 support for newer linux kernel
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Acceleport 8r 920 support for newer linux kernel

0 votes
Hi,

The last released driver for the Acceleport 8r 920 is now two years old and cannot be installed with newer kernels.

Linux kernel 2.6.27 is out. When will it be supported?

If Digi does not wish to support older products, may I suggest releasing the code?

Thank you,
--
Eric
asked Oct 14, 2008 in Serial Cards by ERAL New to the Community (0 points)

Please log in or register to answer this question.

4 Answers

0 votes
The driver will support 2.6.27, as is being worked on as we speak.

There were very large changes done in the tty layer of the 2.6.26/2.6.26 kernels, and as such, require some work to support.

The driver and source code for the Acceleport 8r 920 (DGAP) is released under the GPL v2, and has always been released to the world as open source.

The current driver and source that supports up to 2.6.25 can be found on our beta area of our ftp site.
answered Oct 14, 2008 by scottk New to the Community (40 points)
0 votes
The DGAP-1.3-12 driver has worked with Slackware kernels up to 2.6.24. With the changes in the 2.6.27 kernel I am having some difficulty in making the changes necessary to get the driver to compile. Do you have any suggestions?
answered May 1, 2009 by User864 New to the Community (2 points)
0 votes
I would try the driver here:

ftp://ftp1.digi.com/support/beta/linux/dgap/dgap-1.3-15.src.rpm
answered May 1, 2009 by support.wizard New to the Community (46 points)
0 votes
Thanks.
I compiled and tested with our application interface.
Your version 2.3-15 version worked perfectly. I see by the date in the release notes that you finished it a day after I needed it. Now that's timing.
answered May 6, 2009 by User864 New to the Community (2 points)
...